using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability3261.Domain;

public class TaobaoTbkDgCpaActivityDetailPageResult
{

    /*
        数据结果
    */
    private IList<TaobaoTbkDgCpaActivityDetailResults>? results;


    /*
        上一页页码
    */
    private long? prePage;


    /*
        下一页页码
    */
    private long? nextPage;


    /*
        当前页码
    */
    private long? pageNo;


    /*
        总共页数
    */
    private long? totalPages;


    /*
        每页条数
    */
    private long? pageSize;


    /*
        是否有下一页
    */
    private bool? hasNext;


    /*
        总条数
    */
    private long? totalCount;


    /*
        是否有下一页
    */
    private bool? hasPre;


    /*
        数据批次号(时间戳)
    */
    private DateTime? runtime;



    [JsonPropertyName("results")]
    public IList<TaobaoTbkDgCpaActivityDetailResults>? Results
    {
        get => results;
        set => this.results = value;
    }

    [JsonPropertyName("pre_page")]
    public long? PrePage
    {
        get => prePage;
        set => this.prePage = value;
    }

    [JsonPropertyName("next_page")]
    public long? NextPage
    {
        get => nextPage;
        set => this.nextPage = value;
    }

    [JsonPropertyName("page_no")]
    public long? PageNo
    {
        get => pageNo;
        set => this.pageNo = value;
    }

    [JsonPropertyName("total_pages")]
    public long? TotalPages
    {
        get => totalPages;
        set => this.totalPages = value;
    }

    [JsonPropertyName("page_size")]
    public long? PageSize
    {
        get => pageSize;
        set => this.pageSize = value;
    }

    [JsonPropertyName("has_next")]
    public bool? HasNext
    {
        get => hasNext;
        set => this.hasNext = value;
    }

    [JsonPropertyName("total_count")]
    public long? TotalCount
    {
        get => totalCount;
        set => this.totalCount = value;
    }

    [JsonPropertyName("has_pre")]
    public bool? HasPre
    {
        get => hasPre;
        set => this.hasPre = value;
    }

    [JsonPropertyName("runtime")]
    public DateTime? Runtime
    {
        get => runtime;
        set => this.runtime = value;
    }

}

